//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CLASSTAG_live2d_ALive2DModelWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(live2d.ALive2DModel), typeof(System.Object));
		L.RegFunction("setModelImpl",FUNCTAG_setModelImpl);
		L.RegFunction("getModelImpl",FUNCTAG_getModelImpl);
		L.RegFunction("getCanvasWidth",FUNCTAG_getCanvasWidth);
		L.RegFunction("getCanvasHeight",FUNCTAG_getCanvasHeight);
		L.RegFunction("getParamFloat",FUNCTAG_getParamFloat);
		L.RegFunction("setParamFloat",FUNCTAG_setParamFloat);
		L.RegFunction("addToParamFloat",FUNCTAG_addToParamFloat);
		L.RegFunction("multParamFloat",FUNCTAG_multParamFloat);
		L.RegFunction("loadParam",FUNCTAG_loadParam);
		L.RegFunction("saveParam",FUNCTAG_saveParam);
		L.RegFunction("init",FUNCTAG_init);
		L.RegFunction("update",FUNCTAG_update);
		L.RegFunction("generateModelTextureNo",FUNCTAG_generateModelTextureNo);
		L.RegFunction("releaseModelTextureNo",FUNCTAG_releaseModelTextureNo);
		L.RegFunction("deleteTextures",FUNCTAG_deleteTextures);
		L.RegFunction("draw",FUNCTAG_draw);
		L.RegFunction("loadModel_exe",FUNCTAG_loadModel_exe);
		L.RegFunction("getParamIndex",FUNCTAG_getParamIndex);
		L.RegFunction("getModelContext",FUNCTAG_getModelContext);
		L.RegFunction("getErrorFlags",FUNCTAG_getErrorFlags);
		L.RegFunction("setPartsOpacity",FUNCTAG_setPartsOpacity);
		L.RegFunction("getPartsOpacity",FUNCTAG_getPartsOpacity);
		L.RegFunction("getPartsDataIndex",FUNCTAG_getPartsDataIndex);
		L.RegFunction("getDrawParam",FUNCTAG_getDrawParam);
		L.RegFunction("getDrawDataIndex",FUNCTAG_getDrawDataIndex);
		L.RegFunction("getDrawData",FUNCTAG_getDrawData);
		L.RegFunction("getTransformedPoints",FUNCTAG_getTransformedPoints);
		L.RegFunction("getIndexArray",FUNCTAG_getIndexArray);
		L.RegFunction("setAvatarParts",FUNCTAG_setAvatarParts);
		L.RegFunction("releaseAvatarParts",FUNCTAG_releaseAvatarParts);
		L.RegFunction("setAnisotropy",FUNCTAG_setAnisotropy);
		L.RegFunction("getAnisotropy",FUNCTAG_getAnisotropy);
		L.RegFunction("toStringAllDrawable",FUNCTAG_toStringAllDrawable);
		L.RegFunction("setTextureMap",FUNCTAG_setTextureMap);
		L.RegFunction("resetTextureMap",FUNCTAG_resetTextureMap);
		L.RegFunction("setModelDrawMethodVersion",FUNCTAG_setModelDrawMethodVersion);
		L.RegFunction("getModelDrawMethodVersion",FUNCTAG_getModelDrawMethodVersion);
		L.RegFunction("setColorConvertHSL",FUNCTAG_setColorConvertHSL);
		L.RegFunction("setColorConvertMainLine",FUNCTAG_setColorConvertMainLine);
		L.RegFunction("__tostring",ToLua.op_ToString);
		L.RegConstant("FILE_LOAD_EOF_ERROR", 1);
		L.RegConstant("FILE_LOAD_VERSION_ERROR",2);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_setModelImpl(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			live2d.ModelImpl arg0 = (live2d.ModelImpl)ToLua.CheckObject(L, 2, typeof(live2d.ModelImpl));
			obj.setModelImpl(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getModelImpl(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			live2d.ModelImpl o = obj.getModelImpl();
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getCanvasWidth(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			float o = obj.getCanvasWidth();
			LuaDLL.lua_pushnumber(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getCanvasHeight(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			float o = obj.getCanvasHeight();
			LuaDLL.lua_pushnumber(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getParamFloat(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 2 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(int)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				int arg0 = (int)LuaDLL.lua_tonumber(L, 2);
				float o = obj.getParamFloat(arg0);
				LuaDLL.lua_pushnumber(L, o);
				return 1;
			}
			else if (count == 2 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(string)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				string arg0 = ToLua.ToString(L, 2);
				float o = obj.getParamFloat(arg0);
				LuaDLL.lua_pushnumber(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: live2d.ALive2DModel.getParamFloat");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_setParamFloat(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 3 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(int), typeof(float)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				int arg0 = (int)LuaDLL.lua_tonumber(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				obj.setParamFloat(arg0, arg1);
				return 0;
			}
			else if (count == 3 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(string), typeof(float)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				string arg0 = ToLua.ToString(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				obj.setParamFloat(arg0, arg1);
				return 0;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(int), typeof(float), typeof(float)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				int arg0 = (int)LuaDLL.lua_tonumber(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				float arg2 = (float)LuaDLL.lua_tonumber(L, 4);
				obj.setParamFloat(arg0, arg1, arg2);
				return 0;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(string), typeof(float), typeof(float)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				string arg0 = ToLua.ToString(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				float arg2 = (float)LuaDLL.lua_tonumber(L, 4);
				obj.setParamFloat(arg0, arg1, arg2);
				return 0;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: live2d.ALive2DModel.setParamFloat");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_addToParamFloat(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 3 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(int), typeof(float)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				int arg0 = (int)LuaDLL.lua_tonumber(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				obj.addToParamFloat(arg0, arg1);
				return 0;
			}
			else if (count == 3 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(string), typeof(float)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				string arg0 = ToLua.ToString(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				obj.addToParamFloat(arg0, arg1);
				return 0;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(int), typeof(float), typeof(float)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				int arg0 = (int)LuaDLL.lua_tonumber(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				float arg2 = (float)LuaDLL.lua_tonumber(L, 4);
				obj.addToParamFloat(arg0, arg1, arg2);
				return 0;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(string), typeof(float), typeof(float)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				string arg0 = ToLua.ToString(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				float arg2 = (float)LuaDLL.lua_tonumber(L, 4);
				obj.addToParamFloat(arg0, arg1, arg2);
				return 0;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: live2d.ALive2DModel.addToParamFloat");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_multParamFloat(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 3 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(int), typeof(float)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				int arg0 = (int)LuaDLL.lua_tonumber(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				obj.multParamFloat(arg0, arg1);
				return 0;
			}
			else if (count == 3 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(string), typeof(float)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				string arg0 = ToLua.ToString(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				obj.multParamFloat(arg0, arg1);
				return 0;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(int), typeof(float), typeof(float)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				int arg0 = (int)LuaDLL.lua_tonumber(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				float arg2 = (float)LuaDLL.lua_tonumber(L, 4);
				obj.multParamFloat(arg0, arg1, arg2);
				return 0;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(string), typeof(float), typeof(float)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				string arg0 = ToLua.ToString(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				float arg2 = (float)LuaDLL.lua_tonumber(L, 4);
				obj.multParamFloat(arg0, arg1, arg2);
				return 0;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: live2d.ALive2DModel.multParamFloat");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_loadParam(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			obj.loadParam();
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_saveParam(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			obj.saveParam();
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_init(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			obj.init();
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_update(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			obj.update();
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_generateModelTextureNo(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			int o = obj.generateModelTextureNo();
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_releaseModelTextureNo(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			obj.releaseModelTextureNo(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_deleteTextures(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			obj.deleteTextures();
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_draw(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			obj.draw();
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_loadModel_exe(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 2 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(System.IO.Stream)))
			{
				live2d.ALive2DModel arg0 = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				System.IO.Stream arg1 = (System.IO.Stream)ToLua.ToObject(L, 2);
				live2d.ALive2DModel.loadModel_exe(arg0, arg1);
				return 0;
			}
			else if (count == 2 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(string)))
			{
				live2d.ALive2DModel arg0 = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				string arg1 = ToLua.ToString(L, 2);
				live2d.ALive2DModel.loadModel_exe(arg0, arg1);
				return 0;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: live2d.ALive2DModel.loadModel_exe");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getParamIndex(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			string arg0 = ToLua.CheckString(L, 2);
			int o = obj.getParamIndex(arg0);
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getModelContext(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			live2d.ModelContext o = obj.getModelContext();
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getErrorFlags(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			int o = obj.getErrorFlags();
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_setPartsOpacity(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 3 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(int), typeof(float)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				int arg0 = (int)LuaDLL.lua_tonumber(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				obj.setPartsOpacity(arg0, arg1);
				return 0;
			}
			else if (count == 3 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(string), typeof(float)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				string arg0 = ToLua.ToString(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				obj.setPartsOpacity(arg0, arg1);
				return 0;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: live2d.ALive2DModel.setPartsOpacity");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getPartsOpacity(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 2 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(int)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				int arg0 = (int)LuaDLL.lua_tonumber(L, 2);
				float o = obj.getPartsOpacity(arg0);
				LuaDLL.lua_pushnumber(L, o);
				return 1;
			}
			else if (count == 2 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(string)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				string arg0 = ToLua.ToString(L, 2);
				float o = obj.getPartsOpacity(arg0);
				LuaDLL.lua_pushnumber(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: live2d.ALive2DModel.getPartsOpacity");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getPartsDataIndex(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 2 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(live2d.PartsDataID)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				live2d.PartsDataID arg0 = (live2d.PartsDataID)ToLua.ToObject(L, 2);
				int o = obj.getPartsDataIndex(arg0);
				LuaDLL.lua_pushinteger(L, o);
				return 1;
			}
			else if (count == 2 && TypeChecker.CheckTypes(L, 1, typeof(live2d.ALive2DModel), typeof(string)))
			{
				live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.ToObject(L, 1);
				string arg0 = ToLua.ToString(L, 2);
				int o = obj.getPartsDataIndex(arg0);
				LuaDLL.lua_pushinteger(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: live2d.ALive2DModel.getPartsDataIndex");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getDrawParam(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			live2d.DrawParam o = obj.getDrawParam();
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getDrawDataIndex(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			string arg0 = ToLua.CheckString(L, 2);
			int o = obj.getDrawDataIndex(arg0);
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getDrawData(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			live2d.IDrawData o = obj.getDrawData(arg0);
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getTransformedPoints(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			float[] o = obj.getTransformedPoints(arg0);
			ToLua.Push(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getIndexArray(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			ushort[] o = obj.getIndexArray(arg0);
			ToLua.Push(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_setAvatarParts(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			string arg0 = ToLua.CheckString(L, 2);
			live2d.AvatarPartsItem arg1 = (live2d.AvatarPartsItem)ToLua.CheckObject(L, 3, typeof(live2d.AvatarPartsItem));
			obj.setAvatarParts(arg0, arg1);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_releaseAvatarParts(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			string arg0 = ToLua.CheckString(L, 2);
			obj.releaseAvatarParts(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_setAnisotropy(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			obj.setAnisotropy(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getAnisotropy(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			int o = obj.getAnisotropy();
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_toStringAllDrawable(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			string o = obj.toStringAllDrawable();
			LuaDLL.lua_pushstring(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_setTextureMap(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 8);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			int arg1 = (int)LuaDLL.luaL_checknumber(L, 3);
			float arg2 = (float)LuaDLL.luaL_checknumber(L, 4);
			float arg3 = (float)LuaDLL.luaL_checknumber(L, 5);
			float arg4 = (float)LuaDLL.luaL_checknumber(L, 6);
			float arg5 = (float)LuaDLL.luaL_checknumber(L, 7);
			bool arg6 = LuaDLL.luaL_checkboolean(L, 8);
			obj.setTextureMap(arg0, arg1, arg2, arg3, arg4, arg5, arg6);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_resetTextureMap(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			obj.resetTextureMap();
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_setModelDrawMethodVersion(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			live2d.ALive2DModel.ModelDrawMethodVersion arg0 = (live2d.ALive2DModel.ModelDrawMethodVersion)(int)LuaDLL.lua_tonumber(L, 2);
			obj.setModelDrawMethodVersion(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getModelDrawMethodVersion(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			live2d.ALive2DModel.ModelDrawMethodVersion o = obj.getModelDrawMethodVersion();
			ToLua.Push(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_setColorConvertHSL(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			float[] arg1 = ToLua.CheckNumberArray<float>(L, 3);
			obj.setColorConvertHSL(arg0, arg1);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_setColorConvertMainLine(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 4);
			live2d.ALive2DModel obj = (live2d.ALive2DModel)ToLua.CheckObject(L, 1, typeof(live2d.ALive2DModel));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			float arg1 = (float)LuaDLL.luaL_checknumber(L, 3);
			float arg2 = (float)LuaDLL.luaL_checknumber(L, 4);
			obj.setColorConvertMainLine(arg0, arg1, arg2);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}
}

